Bug 134364 - firefox not closing file descriptors on exec
firefox not closing file descriptors on exec
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 13:53 EDT by Daniel Walsh
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 16:05:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2004-10-01 13:53:02 EDT
Description of problem:

+allow $1_lpr_t $1_mozilla_t:tcp_socket { read write };
+allow $1_lpr_t $1_mozilla_t:unix_stream_socket { read write };

SELinux wants to generate the above commands when execing lpr from
within firefox.  This is caused because some file descriptors are not
being closed on the exec.

fcntl(fd,   F_SETFD, FD_CLOEXEC)

This is a potential security hole in that the spawning process would
be able to read/write from these open sockets.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Bring up a pdf in the viewer and attempt to print.
2.
3.
  
Actual results:
SELinux denial messages

Expected results:
No SELinux denial messages.

Additional info:
Comment 1 Daniel Walsh 2005-08-25 16:05:45 EDT
Closing since I have not seen this recently,

Note You need to log in before you can comment on or make changes to this bug.